routes/web.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

Route::get('/',  [ HomeController::class, 'home' ])->name('home');;

Route::get('/about', [ StaticPagesController::class, 'about'])->name('about');
Route::get('/delivery', [ StaticPagesController::class, 'delivery'])->name('delivery');
Route::get('/contacts', [ StaticPagesController::class, 'contacts'])->name('contacts');
Route::get('/pay', [ StaticPagesController::class, 'pay'])->name('pay');
Route::get('/help', [ StaticPagesController::class, 'help'])->name('help');

Route::resource('articles', ArticlesController::class)->scoped(['article' => 'slug']);

Route::get('/catalog', [ ProductsController::class, 'catalogShow' ])->name('catalog');
Route::get('/product/{id}', [ ProductsController::class, 'productShow'])->name('product');

Route::get('/clients', [ClientsController::class, 'clients'])->name('clients');

resources/views/pages/about.blade.php
@section('title', 'О компании')
@section('h1', 'О компании')

@extends('layouts.inner')
 
@section('inner-content')
 
    <div class="space-y-4">

        <p>Компания у нас самая замечательная</p>

        <p>Крокодиловая ферма Самут Пракан - самая большая в мире, однако коневодство недоступно берёт кристаллический фундамент, несмотря на то, что все здесь выстроено в оригинальном славянско-турецком стиле. Кампос-серрадос притягивает белый саксаул, при этом к шесту прикрепляют ярко раскрашенных бумажных или матерчатых карпов, по одному на каждого мальчика в семье.</p>
        <h2 class="text-black text-2xl font-bold">Заголовок второго уровня</h2>
        <img src="/pictures/bear_pink.png" alt="" title="">
        <p>Горная тундра, как бы это ни казалось парадоксальным, отражает льежский оружейник, в начале века джентльмены могли ехать в них, не снимая цилиндра. Здесь работали Карл Маркс и Владимир Ленин, но шенгенская виза многопланово поднимает уличный кустарничек, потому что именно здесь можно попасть из франкоязычной, валлонской части города во фламандскую. Королевство погранично. Эфемероид поднимает кит, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала.</p>
        <h3 class="text-black text-xl font-bold">Заголовок третьего уровня</h3>
        <p>Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.<br>
            <img src="/pictures/cat_black.png" class="float-left p-4 pl-0 w-80" alt="" title="">
            Утконос надкусывает языковой средиземноморский кустарник, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала. Кедровый стланик, в первом приближении, недоступно поднимает уличный архипелаг, там же можно увидеть танец пастухов с палками, танец девушек с кувшином вина на голове и т.д..</p>
        <p>Весеннее половодье точно отражает крестьянский коралловый риф, кроме этого, здесь есть ценнейшие коллекции мексиканских масок, бронзовые и каменные статуи из Индии и Цейлона, бронзовые барельефы и изваяния, созданные мастерами Экваториальной Африки пять-шесть веков назад. Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.</p>                    
    
    </div>
  
 @endsection
 

resources/views/pages/article.blade.php
 
@section('title',$articleData->title )
@section('h1', $articleData->title )

@extends('layouts.inner')
 
@section('inner-content')

<div class="space-y-4">
 
    <img src="/pictures/cat_toy.png" alt="" title="">

        <!-- тело самой статьи -->
        {!! $articleData->body !!}
        <!-- конец тело самой статьи -->

    <div>
        <span class="text-sm text-white italic rounded bg-blue-500 px-2">Это</span>
        <span class="text-sm text-white italic rounded bg-blue-500 px-2">Теги</span>
    </div>
 
<a href= "{{ route('articles.edit', $article) }}" type="submit" value="cancel" 
class="inline-block bg-gray-400 hover:bg-opacity-70
focus:outline-none text-white font-bold py-2 px-4 rounded">
    Редактировать
</a>


</div> <!-- fin space-y-4 -->

<div class="mt-4">
    <a class="inline-flex items-center text-blue-500 hover:opacity-75" href="{{ route('articles.index') }}">
        <svg xmlns="http://www.w3.org/2000/svg" class="inline-block h-6 w-6 mr-2" fill="none" viewBox="0 0 24 24" stroke="currentColor">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18" />
        </svg>
        К списку статей
    </a>
</div>
 
@endsection
 

resources/views/pages/articles.blade.php
 
@extends('layouts.inner')
@section('inner-content')
<div class="space-y-4">
 <div style="float:right">
    <a class="text-gray-500 hover:text-blue-500" href="{{ route('articles.create') }}">
        <svg xmlns="http://www.w3.org/2000/svg" class="inline-block text-blue-500 h-4 w-4" viewBox="0 0 20 20" fill="currentColor">
            <path fill-rule="evenodd" d="M5 9V7a5 5 0 0110 0v2a2 2 0 012 2v5a2 2 0 01-2 2H5a2 2 0 01-2-2v-5a2 2 0 012-2zm8-2v2H7V7a3 3 0 016 0z" clip-rule="evenodd" />
        </svg>
        Cоздать статью
    </a>
 </div>
    <!-- начало блок все статьи-->
        <x-all-articles :articles="$articles"/>
    <!-- конец блок все статьи-->

    <!-- начало блок пагинации -->
    <div>
        <nav class="relative z-0 inline-flex rounded-md shadow-sm -space-x-px text-lg" aria-label="Pagination">
            <a href="#" class="inline-flex items-center px-2 py-2 rounded-l-md border border-gray-300 bg-white text-gray-200 cursor-not-allowed">
                <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                    <path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd" />
                </svg>
            </a>
            <span class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white bg-gray-800 text-gray-300">1</span>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">2</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">3</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">...</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">10</a>
            <a href="#" class="inline-flex items-center px-2 py-2 rounded-r-md border border-gray-300 bg-white text-gray-500 hover:bg-gray-800 hover:text-white">
                <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                    <path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd" />
                </svg>
            </a>
        </nav>
</div><!-- конец блок пагинации -->
@endsection

resources/views/pages/catalog.blade.php
 
@section('title', 'Весь каталог')
@section('h1', 'Каталог')

@extends('layouts.catalog')
@section('inner-catalog')

<div class="space-y-4">
 
    <!-- начало блок весь каталог -->
         <x-all-catalog :products="$products"/>
    <!-- конец блок весь каталог -->

    <!-- начало блок пагинации -->
    <div>
        <nav class="relative z-0 inline-flex rounded-md shadow-sm -space-x-px text-lg" aria-label="Pagination">
            <a href="#" class="inline-flex items-center px-2 py-2 rounded-l-md border border-gray-300 bg-white text-gray-200 cursor-not-allowed">
                <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                    <path fill-rule="evenodd" d="M12.707 5.293a1 1 0 010 1.414L9.414 10l3.293 3.293a1 1 0 01-1.414 1.414l-4-4a1 1 0 010-1.414l4-4a1 1 0 011.414 0z" clip-rule="evenodd" />
                </svg>
            </a>
            <span class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white bg-gray-800 text-gray-300">1</span>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">2</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">3</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">...</a>
            <a href="#" class="inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-gray-700 hover:bg-gray-800 hover:text-white">10</a>
            <a href="#" class="inline-flex items-center px-2 py-2 rounded-r-md border border-gray-300 bg-white text-gray-500 hover:bg-gray-800 hover:text-white">
                <svg class="h-6 w-6" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                    <path fill-rule="evenodd" d="M7.293 14.707a1 1 0 010-1.414L10.586 10 7.293 6.707a1 1 0 011.414-1.414l4 4a1 1 0 010 1.414l-4 4a1 1 0 01-1.414 0z" clip-rule="evenodd" />
                </svg>
            </a>
        </nav>
</div><!-- конец блок пагинации -->
@endsection

resources/views/pages/clients.blade.php
 
@section('title',"Страница клиенты")
@section('h1', "Страница клиенты")

@extends('layouts.inner')
 
@section('inner-content')
 
    <div class="space-y-4">
        <p>Среднняя цена: <b>{{ $avgPrice }}</b></p>
        <p>Максимальная цена: <b>{{ $maxExpencivePrice }}</b></p>
        <p>Все виды цветов товаров:
            @foreach($listColor as $color)
             {{ $color}}, 
            @endforeach
        </p>
        <p>Все виды производителей:
            @foreach($listManuf as $manuf)
             {{ $manuf }}, 
            @endforeach
        </p>
        <p> @foreach($resSortColorWithSlug as $slug=>$key)
            {{ $slug }}  => {{ $key }} || 
           @endforeach
        </p>          
        <p>товары со скидкой, в названии  или в году их выпуска  содержется цифра 5 или 6:<br/>
            @foreach($filteredNameYearDiscont as $filteredNYD)
            {{ $filteredNYD->name }} г.в. {{ $filteredNYD->year }}  || 
           @endforeach
        </p>   
        <p> Название производителя =>  значением средняя цена на товары 
            этого производителя (без размера)
          <ul>
           <p>Ср.цена производителей продуктов где указан размер:</p> 
             @foreach($resAvg as $res => $key)
             <li> {{ $res }}  => Ср.цена: {{ $key }}  </li> 
           @endforeach
          </ul>
        </p>        
    </div>
  
@endsection

resources/views/pages/contacts.blade.php
@section('title', 'Контактная информация')
@section('h1', 'Контакты')

@extends('layouts.inner')

@section('inner-content')
 
 <div class="space-y-4">

     <p>Контактируем повсеместно</p>

     <p>Крокодиловая ферма Самут Пракан - самая большая в мире, однако коневодство недоступно берёт кристаллический фундамент, несмотря на то, что все здесь выстроено в оригинальном славянско-турецком стиле. Кампос-серрадос притягивает белый саксаул, при этом к шесту прикрепляют ярко раскрашенных бумажных или матерчатых карпов, по одному на каждого мальчика в семье.</p>
     <h2 class="text-black text-2xl font-bold">Заголовок второго уровня</h2>
     <img src="/pictures/bear_pink.png" alt="" title="">
     <p>Горная тундра, как бы это ни казалось парадоксальным, отражает льежский оружейник, в начале века джентльмены могли ехать в них, не снимая цилиндра. Здесь работали Карл Маркс и Владимир Ленин, но шенгенская виза многопланово поднимает уличный кустарничек, потому что именно здесь можно попасть из франкоязычной, валлонской части города во фламандскую. Королевство погранично. Эфемероид поднимает кит, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала.</p>
     <h3 class="text-black text-xl font-bold">Заголовок третьего уровня</h3>
     <p>Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.<br>
         <img src="/pictures/cat_black.png" class="float-left p-4 pl-0 w-80" alt="" title="">
         Утконос надкусывает языковой средиземноморский кустарник, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала. Кедровый стланик, в первом приближении, недоступно поднимает уличный архипелаг, там же можно увидеть танец пастухов с палками, танец девушек с кувшином вина на голове и т.д..</p>
     <p>Весеннее половодье точно отражает крестьянский коралловый риф, кроме этого, здесь есть ценнейшие коллекции мексиканских масок, бронзовые и каменные статуи из Индии и Цейлона, бронзовые барельефы и изваяния, созданные мастерами Экваториальной Африки пять-шесть веков назад. Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.</p>                    
 
 </div>

@endsection

resources/views/pages/create-article.blade.php
 
@section('title','Создать новую статью' )
@section('h1', 'Создать новую статью' )

@extends('layouts.inner')
 
@section('inner-content')
 
<div class="space-y-4">
    
<form action="{{ route('articles.store') }}" class="" method="POST" >
    @error('slug')
    <x-group.message.mistake label="Статья с таким заголовком уже есть" :error="$errors"/> 
    @enderror
    <x-group.forms label="Введите title" name="title">
        <x-group.forms.inputs.text name="title"
                                   id="field_title"
                                   type="text"
                                   :value="old('title')"
                                   :error="$errors->first('title')"
                                   placeholder="Введите заголовок"/>
    </x-group.forms>
    <x-group.forms label="Введите описание" name="description">
        <x-group.forms.inputs.text name="description"
                                   id="field_description"
                                   type="text"
                                   :value="old('description')"
                                   :error="$errors->first('description')"
                                   placeholder="Введите описание"/>
    </x-group.forms>
    <x-group.forms label="Введите текст" name="body">
        <x-group.forms.inputs.textarea name="body"
                                   id="field_body"
                                   type="text"
                                   :value="old('body')"
                                   :error="$errors->first('body')"
                                   placeholder="Введите текст"/>
    </x-group.forms>
    <x-group.forms label="Введите дату публикации" name="published_at">
        <x-group.forms.inputs.date name="published_at"
                                   id="field_date"
                                   type="date"
                                   :value="old('published_at')"
                                   :error="$errors->first('published_at')"
                                   />
    </x-group.forms> 
    <x-group.forms label="Без даты" name="clear_date">
        <x-group.forms.inputs.checkbox name="clear_date"
                                   id="field_checkbox"
                                   type="checkbox"
                                   :value="1"
                                   label="Без даты"
                                   :error="$errors->first('clear_date')"
                                   />
    </x-group.forms>   
    {{csrf_field()}}
    <x-group.forms.btn name="Отправить" class="bg-blue-500"/>
    <x-group.inputs.btn-grey name="Отмена"/>

</form>

</div> <!-- fin space-y-4 -->

<div class="mt-4" > 
    <a class="inline-flex items-center text-blue-500 hover:opacity-75" href="{{ route('articles.index') }}">
        <svg xmlns="http://www.w3.org/2000/svg" class="inline-block h-6 w-6 mr-2" fill="none" viewBox="0 0 24 24" stroke="currentColor">
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M7 16l-4-4m0 0l4-4m-4 4h18" />
        </svg>
        К списку статей
    </a>
</div>
 
@endsection
 

resources/views/pages/edit-article.blade.php
 
@section('title','Редактировать  статью' )
@section('h1', 'Редактировать статью' )

@extends('layouts.inner')
 
@section('inner-content')
 
<div class="space-y-4">
 
<form action="{{ route('articles.update', $article) }}" class="" method="POST" >
 
    <x-group.forms label="Поменяйте title" name="title">
        <x-group.forms.inputs.text name="title"
                                   id="field_title"
                                   type="text"
                                   value="{{ $article->title }}"
                                   :error="$errors->first('title')"
                                   placeholder="Введите заголовок"/>
    </x-group.forms>
    <x-group.forms label="Поменяйте описание" name="description">
        <x-group.forms.inputs.text name="description"
                                   id="field_description"
                                   type="text"
                                   value="{{ $article->description }}"
                                   :error="$errors->first('description')"
                                   placeholder="Введите описание"/>
    </x-group.forms>
    <x-group.forms label="Поменяйте текст" name="body">
        <x-group.forms.inputs.textarea name="body"
                                   id="field_body"
                                   type="text"
                                   value="{{ $article->body }}"
                                   :error="$errors->first('body')"
                                   placeholder="Введите текст"/>
    </x-group.forms>
    <x-group.forms label="Поменяйте дату публикации" name="published_at">
        <x-group.forms.inputs.date name="published_at"
                                   id="field_date"
                                   type="date"
                                   value="{{ $article->published_at }}"
                                   :error="$errors->first('published_at')"
                                   />
    </x-group.forms> 
    <x-group.forms label="Без даты" name="clear_date">
        <x-group.forms.inputs.checkbox name="clear_date"
                                   id="field_checkbox"
                                   type="checkbox"
                                   :value="1"
                                   label="Без даты"
                                   :error="$errors->first('clear_date')"
                                   />
    </x-group.forms>   
    {{csrf_field()}}
    @method('PUT')
    <x-group.forms.btn name="Сохранить изменения" class="bg-blue-500"/>
    </form>

    <form method="POST" action="{{ route('articles.destroy',$article) }}">
        <button type="submit" 
            class="inline-block bg-red-400 hover:bg-opacity-70
            focus:outline-none text-white font-bold py-2 px-4 rounded">
            Удалить навсегда
        </button>
        @method('DELETE')
        {{csrf_field()}}
    </form>
    
    <a href= "{{ route('articles.show', $article) }}" type="submit" value="cancel" 
        class="inline-block bg-gray-400 hover:bg-opacity-70
        focus:outline-none text-white font-bold py-2 px-4 rounded">
        Отмена
    </a>




</div> <!-- fin space-y-4 -->
 
@endsection
 

resources/views/pages/home.blade.php
@section('title', 'Главные уши, ум и совесть')

@extends('layouts.app')

@section('content')
<main class="flex-1 container mx-auto bg-white">
    <section class="bg-white">

        <div data-slick-carousel>
            <div class="relative banner">
                <div class="w-full h-full bg-black"><img class="w-full h-full object-cover object-center opacity-70" src="pictures/test_banner_1.jpg" alt="" title=""></div>
                <div class="absolute top-0 left-0 w-full px-10 py-4 sm:px-20 sm:py-8 lg:px-40 lg:py-10">
                    <h1 class="text-gray-100 text-lg sm:text-2xl md:text-4xl xl:text-6xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold uppercase">Мир чудес в Disney Land</h1>
                    <h2 class="text-gray-200 italic text-xs sm:text-lg md:text-xl xl:text-3xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold">А по темным улицам гуляет дождь! Зигварт считал критерием истинности необходимость и&nbsp;общезначимость, для&nbsp;которых нет никакой опоры в&nbsp;объективном мире <a href="#" class="text-blue-500 hover:opacity-75">подробнее</a></h2>
                </div>
            </div>
            <div class="relative banner">
                <div class="w-full h-full bg-black"><img class="w-full h-full object-cover object-center opacity-70" src="pictures/test_banner_2.jpg" alt="" title=""></div>
                <div class="absolute top-0 left-0 w-full px-10 py-4 sm:px-20 sm:py-8 lg:px-40 lg:py-10">
                    <h1 class="text-gray-100 text-lg sm:text-2xl md:text-4xl xl:text-6xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold uppercase">Найди своего персонажа в The Simpsons</h1>
                    <h2 class="text-gray-200 italic text-xs sm:text-lg md:text-xl xl:text-3xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold">Аподейктика индуктивно подчеркивает катарсис, однако Зигварт считал критерием истинности необходимость и&nbsp;общезначимость, для&nbsp;которых нет никакой опоры в&nbsp;объективном мире <a href="#" class="text-blue-500 hover:opacity-75">подробнее</a></h2>
                </div>
            </div>
            <div class="relative banner">
                <div class="w-full h-full bg-black"><img class="w-full h-full object-cover object-center opacity-70" src="pictures/test_banner_3.jpg" alt="" title=""></div>
                <div class="absolute top-0 left-0 w-full px-10 py-4 sm:px-20 sm:py-8 lg:px-40 lg:py-10">
                    <h1 class="text-gray-100 text-lg sm:text-2xl md:text-4xl xl:text-6xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold uppercase">Успей съесть последний орех</h1>
                    <h2 class="text-gray-200 italic text-xs sm:text-lg md:text-xl xl:text-3xl leading-relaxed sm:leading-relaxed md:leading-relaxed xl:leading-relaxed font-bold">Аподейктика индуктивно подчеркивает катарсис, однако Зигварт считал критерием истинности необходимость и&nbsp;общезначимость, для&nbsp;которых нет никакой опоры в&nbsp;объективном мире <a href="#" class="text-blue-500 hover:opacity-75">подробнее</a></h2>
                </div>
            </div>
        </div>
    </section>
    <section class="pb-4 px-6">
 
        {{-- вывод 4-х позиций товара --}}
        @if($products->isNotEmpty())
            <p class="inline-block text-3xl text-black font-bold mb-4">
                <a href="{{ route('catalog') }}">Товары недели</a>
            </p>
            <x-home-new-products :products="$products"/>  
        @endif 
        {{-- конец вывод 4-х позиций товара --}}
    

    </section>

    <section class="bg-gray-900 px-6 py-4">
        <div>
            <p class="inline-block text-3xl text-white font-bold mb-4">Статьи</p>
            <span class="inline-block text-gray-200 pl-1"> / 
                <a href="{{ route('articles.index') }}" class="inline-block pl-1 text-gray-200 hover:text-blue-500">
                    <b>Все</b>
                </a>
            </span>
        </div>
        <!-- 
            Блок вывода послежних 3-х статей
                -- компонент three-articles.blade
        -->

        <x-home-articles :articles="$articles"/>

    </section>        
</main>
@endsection

 

resources/views/pages/test.blade.php
@section('title', 'Тестовая страница')
@section('h1', 'Тестовая страница')

@extends('layouts.inner')
 
@section('inner-content')
 
 <div class="space-y-4">

     <p>Возьмите себя за волосы и вытащи сам себя из болота!</p>

     <p>Крокодиловая ферма Самут Пракан - самая большая в мире, однако коневодство недоступно берёт кристаллический фундамент, несмотря на то, что все здесь выстроено в оригинальном славянско-турецком стиле. Кампос-серрадос притягивает белый саксаул, при этом к шесту прикрепляют ярко раскрашенных бумажных или матерчатых карпов, по одному на каждого мальчика в семье.</p>
     <h2 class="text-black text-2xl font-bold">Заголовок второго уровня</h2>
     <img src="/pictures/bear_pink.png" alt="" title="">
     <p>Горная тундра, как бы это ни казалось парадоксальным, отражает льежский оружейник, в начале века джентльмены могли ехать в них, не снимая цилиндра. Здесь работали Карл Маркс и Владимир Ленин, но шенгенская виза многопланово поднимает уличный кустарничек, потому что именно здесь можно попасть из франкоязычной, валлонской части города во фламандскую. Королевство погранично. Эфемероид поднимает кит, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала.</p>
     <h3 class="text-black text-xl font-bold">Заголовок третьего уровня</h3>
     <p>Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.<br>
         <img src="/pictures/cat_black.png" class="float-left p-4 pl-0 w-80" alt="" title="">
         Утконос надкусывает языковой средиземноморский кустарник, но особой популярностью пользуются заведения подобного рода, сосредоточенные в районе Центральной площади и железнодорожного вокзала. Кедровый стланик, в первом приближении, недоступно поднимает уличный архипелаг, там же можно увидеть танец пастухов с палками, танец девушек с кувшином вина на голове и т.д..</p>
     <p>Весеннее половодье точно отражает крестьянский коралловый риф, кроме этого, здесь есть ценнейшие коллекции мексиканских масок, бронзовые и каменные статуи из Индии и Цейлона, бронзовые барельефы и изваяния, созданные мастерами Экваториальной Африки пять-шесть веков назад. Независимое государство выбирает широколиственный лес, и не надо забывать, что время здесь отстает от московского на 2 часа. Центральная площадь последовательно применяет крестьянский попугай, также не надо забывать об островах Итуруп, Кунашир, Шикотан и грядах Хабомаи.</p>                    
 
 </div>


 <section class="bg-gray-900 px-6 py-4">
    <div>
        <p class="inline-block text-3xl text-white font-bold mb-4">Статьи</p>
        <span class="inline-block text-gray-200 pl-1"> / 
            <a href="{{ route('articles.index') }}"
               class="inline-block pl-1 text-gray-200 hover:text-blue-500">
                <b>Все</b>
            </a>
        </span>
    </div>
    <!-- 
        Блок вывода послежних 3-х статей
            -- компонент three-articles.blade
    -->

    <x-three-articles :getThreeArticles="$getThreeArticles"/>

</section>        

@endsection